import request from '@/utils/request'

// 查询个微 分组列表
export function listWxUserGroup(query) {
  return request({
    url: '/company/wxUserGroup/list',
    method: 'get',
    params: query
  })
}

// 查询个微 分组列表 不要权限版
export function sopListWxUserGroup(query) {
  return request({
    url: '/company/wxUserGroup/sopList',
    method: 'get',
    params: query
  })
}
// 查询个微 分组详细
export function getWxUserGroup(groupId) {
  return request({
    url: '/company/wxUserGroup/' + groupId,
    method: 'get'
  })
}

// 新增个微 分组
export function addWxUserGroup(data) {
  return request({
    url: '/company/wxUserGroup',
    method: 'post',
    data: data
  })
}

// 修改个微 分组
export function updateWxUserGroup(data) {
  return request({
    url: '/company/wxUserGroup',
    method: 'put',
    data: data
  })
}

// 删除个微 分组
export function delWxUserGroup(groupId) {
  return request({
    url: '/company/wxUserGroup/' + groupId,
    method: 'delete'
  })
}

// 导出个微 分组
export function exportWxUserGroup(query) {
  return request({
    url: '/company/wxUserGroup/export',
    method: 'get',
    params: query
  })
}
